
From: Jean Delvare <khali@linux-fr.org>

Kill an unused member of the i2c_adapter structure.  This additionally
fixes a potential bug, because <linux/i2c.h> doesn't include
<linux/config.h>, so different files including <linux/i2c.h> could see a
different definition of the i2c_adapter structure, depending on them
including <linux/config.h> (or other header files themselves including
<linux/config.h>) before <linux/i2c.h>, or not.

Credits go to Jrn Engel for pointing me to the problem.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/i2c.h |    5 -----
 1 files changed, 5 deletions(-)

diff -puN include/linux/i2c.h~i2c-kill-an-unused-i2c_adapter-struct-member include/linux/i2c.h
--- devel/include/linux/i2c.h~i2c-kill-an-unused-i2c_adapter-struct-member	2005-09-15 20:23:37.000000000 -0700
+++ devel-akpm/include/linux/i2c.h	2005-09-15 20:23:37.000000000 -0700
@@ -230,11 +230,6 @@ struct i2c_adapter {
 	struct device dev;		/* the adapter device */
 	struct class_device class_dev;	/* the class device */
 
-#ifdef CONFIG_PROC_FS 
-	/* No need to set this when you initialize the adapter          */
-	int inode;
-#endif /* def CONFIG_PROC_FS */
-
 	int nr;
 	struct list_head clients;
 	struct list_head list;
_
